package com.ruoyi.system.mapper;

import com.ruoyi.common.core.domain.entity.SysLogininfor;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 系统访问日志情况信息 数据层
 * 
 * @author ruoyi
 */
public interface SysLogininforMapper
{
    /**
     * 新增系统登录日志
     * 
     * @param logininfor 访问日志对象
     */
    public void insertLogininfor(SysLogininfor logininfor);

    /**
     * 查询系统登录日志集合
     * 
     * @param logininfor 访问日志对象
     * @return 登录记录集合
     */
    public List<SysLogininfor> selectLogininforList(SysLogininfor logininfor);

    /**
     * 批量删除系统登录日志
     * 
     * @param ids 需要删除的数据
     * @return 结果
     */
    public int deleteLogininforByIds(String[] ids);

    /**
     * 清空系统登录日志
     * 
     * @return 结果
     */
    public int cleanLogininfor();

    /**
     * 修改系统访问记录
     *
     * @param sysLogininfor 系统访问记录
     * @return 结果
     */
    public int updateSysLogininfor(SysLogininfor sysLogininfor);

    List<SysLogininfor> selectLogininfors(@Param("loginName") String loginName, @Param("msg") String msg);

    List<SysLogininfor> selectLogininfor(@Param("loginName") String loginName, @Param("identifier") Long identifier, @Param("msg") String msg);
}
